import request from '../index'
import type { queryType } from '@/views/system/tool/tool_interface'
const prefix = 'system/'

// 签名/签章新增
export function addApi(data: object) {
  return request({
    url: `${prefix}sign/add`,
    method: 'post',
    data,
  })
}
// 签名/签章批量删除
export function batchDelete(data: { ids: string[] }) {
  return request({
    url: `${prefix}sign/batchDelete`,
    method: 'post',
    data,
  })
}
// 签名/签章删除
export function deleteApi(data: { id: string }) {
  return request({
    url: `${prefix}sign/delete`,
    method: 'post',
    data,
  })
}
// 签名/签章列表
export function listApi(data: object) {
  return request({
    url: `${prefix}sign/list`,
    method: 'post',
    data,
  })
}
// 签名/签章导出
export function exportApi(data: object) {
  return request({
    url: `${prefix}sign/listExport`,
    method: 'post',
    data,
    responseType: 'blob',
  })
}
// 签名/签章列表/详情（分页）
export function listPageApi(data: queryType) {
  return request({
    url: `${prefix}sign/listPage?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}
// 签名/签章列表/详情
export function listPageDetailApi(data: object) {
  return request({
    url: `${prefix}sign/detail`,
    method: 'post',
    data,
  })
}
// 签名/签章更新
export function updateApi(data: object) {
  return request({
    url: `${prefix}sign/update`,
    method: 'post',
    data,
  })
}
// 原始记录模板/证书报告模板列表（分页）
export interface listParamsType {
  templateNo: string // 编号
  templateName: string // 名称
  templateCreator: string // 负责人
  // createTime: string // 创建时间
  limit: number
  offset: number
  templateType: string
}
export function templatePage(data: listParamsType) {
  return request({
    url: `${prefix}/template/listPage?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}
// 原始记录模板/证书报告模板列表/详情（
export function templatePageDetail(data: object) {
  return request({
    url: `${prefix}/template/detail`,
    method: 'post',
    data,
  })
}
// 原始记录模板/证书报告模板列表删除
export function templateDelete(data: object) {
  return request({
    url: `${prefix}/template/delete`,
    method: 'post',
    data,
  })
}
// 原始记录模板/证书报告模板列表新建
export function templateAdd(data: object) {
  return request({
    url: `${prefix}/template/add`,
    method: 'post',
    data,
  })
}
// 原始记录模板/证书报告模板列表更新
export function templateUpdate(data: object) {
  return request({
    url: `${prefix}/template/update`,
    method: 'post',
    data,
  })
}
// 原始记录模板/证书报告模板列表导出
export function templateExport(data: object) {
  return request({
    url: `${prefix}/template/listExport`,
    method: 'post',
    data,
    responseType: 'blob',
  })
}
// 获取图片地址
export function getPhotoUrl(fileName: string) {
  return request({
    url: `/minio/file/url?fileName=${fileName}`,
    method: 'get',
  })
}
